using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "dead bugs" )]
	public class Swarm : BaseCreature
	{
		[Constructable]
		public Swarm() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a swarm";
			Body = 256;
			AnimationMod = 1;

			SetStr( 206, 280 );
			SetDex( 81, 105 );
			SetInt( 36, 60 );

			SetHits( 120, 150 );

			SetDamage( 3, 10 );

			SetSkill( SkillName.Tactics, 70.0 );
			SetSkill( SkillName.HandToHand, 70.0 );

			Fame = 0;
			Karma = -0;

			VirtualArmor = 12;
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Regular; } }

		public override int GetAngerSound()
		{
			return 0x5CB;
		}

		public override int GetIdleSound()
		{
			return 0x5CD;
		}

		public override int GetAttackSound()
		{
			return 0x5CC;
		}

		public override int GetHurtSound()
		{
			return 0x5CB;
		}

		public override int GetDeathSound()
		{
			return 0x5CB;
		}

		public Swarm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}